Skip to main content
GET
/
excluded-domains
List excluded domains
curl --request GET \
  --url https://api.amplemarket.com/excluded-domains \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.amplemarket.com/excluded-domains"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.amplemarket.com/excluded-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "excluded_domains": [
    {
      "domain": "domain.com",
      "source": "amplemarket",
      "date_added": "2026-07-07T14:22:02.418Z",
      "excluded_reason": "api",
      "excluded_reasons": [
        "api"
      ]
    }
  ],
  "_links": {
    "self": {
      "href": "/excluded-domains?page[size]=2000"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[size]
string

Page size

page[after]
string

Page after

page[before]
string

Page before

filter[domain]
string

Filter by domain keyword

Response

200 - application/json

successful

excluded_domains
object[]